TranslatedIdealComparator Class Reference

`#include <IdealComparator.h>`

## Public Member Functions

| TranslatedIdealComparator (TermTranslator &translator)
bool | operator() (const Ideal &a, const Ideal &b) const
bool | operator() (const Ideal *a, const Ideal *b) const

## Private Attributes

TermTranslator & | _translator

## Detailed Description

Definition at line 43 of file IdealComparator.h.

## Constructor & Destructor Documentation

## TranslatedIdealComparator()

TranslatedIdealComparator::TranslatedIdealComparator | ( | TermTranslator & | translator | ) |

Definition at line 26 of file IdealComparator.cpp.

## Member Function Documentation

## operator()() [1/2]

bool TranslatedIdealComparator::operator() | ( | const Ideal & | a,
|  | const Ideal & | b ) const

inline

Definition at line 74 of file IdealComparator.h.

## operator()() [2/2]

bool TranslatedIdealComparator::operator() | ( | const Ideal * | a,
|  | const Ideal * | b ) const

inline

Definition at line 79 of file IdealComparator.h.

## Member Data Documentation

## _translator

TermTranslator& TranslatedIdealComparator::_translator

private

Definition at line 49 of file IdealComparator.h.

The documentation for this class was generated from the following files:

- src/IdealComparator.h
- src/IdealComparator.cpp